export const schema = gql`
  type KaufArtikel {
    id: Int!
    kauf: Kauf!
    kauf_id: Int!
    artikel: Artikel!
    artikel_id: Int!
    anzahl: Int!
  }

  type Query {
    kaufArtikels: [KaufArtikel!]! @requireAuth
    kaufArtikel(id: Int!): KaufArtikel @requireAuth
  }

  input CreateKaufArtikelInput {
    kauf_id: Int!
    artikel_id: Int!
    anzahl: Int!
  }

  input UpdateKaufArtikelInput {
    kauf_id: Int
    artikel_id: Int
    anzahl: Int
  }

  type Mutation {
    createKaufArtikel(input: CreateKaufArtikelInput!): KaufArtikel! @requireAuth
    updateKaufArtikel(id: Int!, input: UpdateKaufArtikelInput!): KaufArtikel!
      @requireAuth
    deleteKaufArtikel(id: Int!): KaufArtikel! @requireAuth
  }
`
